DeadDrop - Refactoring #43

Refactorings V0.5
10/06/2023 11:02 PM - Sancho Fock

Status:
Priority:
Assignee:

Category:

Target version: 0.5.x

New Start date: 10/24/2023
Normal Due date: 11/24/2023

Sancho Fock % Done: 93%

Release Estimated time: 0:00 hour

Description

Subtasks:

Refactoring # 44:
Refactoring # 45:
Refactoring # 47:
Refactoring # 51:
Refactoring # 52:
Refactoring # 67:
Refactoring # 68:
Refactoring # 69:

Scan for wrong Names

Document and Rework Object Model

Implement basic Unit Test for Client

Simplecrypt: implement BinaryKey Version 2

change Key Usage to Binary Key V2

Ul: Check Tab Order

Double Check Server Build Script

Add JavaDoc for ddAPl, ddCommons, ddDB and scCore

Test # 70: Implement basic UnitTests for scCore, ddCommons and ddDB

Closed
Closed
Closed
Closed
Closed
Closed
Closed
In Progress
Closed

Related issues:

Follows Feature #20: Encrypt database content Closed
Follows Support #53: Release V 0.4 Closed

10/17/2023
10/23/2023

10/20/2023
10/23/2023

History

#1 - 10/06/2023 11:07 PM - Sancho Fock
- Subtask #44 added

#2 - 10/06/2023 11:08 PM - Sancho Fock
- Subtask #45 added

#3 - 10/07/2023 11:18 PM - Sancho Fock

- Subject changed from Refactorings to Refactorings V0.5

#4 - 10/07/2023 11:19 PM - Sancho Fock

- Target version changed from open to 0.5.x

#5 - 10/07/2023 11:20 PM - Sancho Fock
- Follows Feature #26: Share / Invite Drops by NFC added

#6 - 10/07/2023 11:20 PM - Sancho Fock
- Follows deleted (Feature #26: Share / Invite Drops by NFC)

#7 - 10/07/2023 11:21 PM - Sancho Fock

- Follows Feature #20: Encrypt database content added

#8 - 10/07/2023 11:23 PM - Sancho Fock
- Precedes Feature #23: Enable Attchmentsl added

#9 - 10/15/2023 05:34 PM - Sancho Fock
- Subtask #47 added

04/19/2025

1/2




#10 - 10/16/2023 12:09 AM - Sancho Fock
- Subtask #51 added

#11 - 10/16/2023 12:10 AM - Sancho Fock
- Subtask #52 added

#12 - 10/16/2023 10:48 PM - Sancho Fock
- Follows Support #53: Release V 0.4 added

#13 - 10/23/2023 01:50 PM - Sancho Fock
- Subtask #67 added

#14 - 10/23/2023 01:52 PM - Sancho Fock
- Subtask #68 added

#15 - 10/24/2023 10:35 PM - Sancho Fock
- Subtask #69 added

#16 - 10/24/2023 10:37 PM - Sancho Fock
- Subtask #70 added

#17 - 11/01/2023 09:50 AM - Sancho Fock

- Precedes deleted (Feature #23: Enable Attchmentsl )

04/19/2025
